#include "flex_io.h"
#include "flexSerial.h"

FlexSerial SerialFlex(-1, 2); // currently setup for pin 2 TX


void setup() {
  pinMode(13, OUTPUT);
  while (!Serial && millis() < 4000);
  Serial.begin(115200);
  Serial1.begin(115200);  // lets start up Serial1, to see if we can receive anything from our FlexSerial
  delay(500);
  IMXRT_FLEXIO_t *p = nullptr;

  Serial.printf("Offset to SHIFTBUFNIS %x\n", (uint32_t)&p->SHIFTBUFNIS[0]);
  SerialFlex.begin(115200);

  Serial.println("End Setup");
}

uint8_t loop_char = 'a';
void loop() {
  digitalWrite(13, !digitalRead(13));
  SerialFlex.println("abcdefghijklmnopqrstuvwxyz");
  delay(500);

}

void serialEvent1() {
  int ch;
  while ((ch = Serial1.read()) != -1) {
    Serial.write(ch);
  }
}
